using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 仕入情報
    [Table("PURCHASE_INFORMATION")]
    public class PURCHASE_INFORMATIONModel
    {
        // 仕入番号
        [Key]
        [Required]
        [Column("PURCHASE_NO")]
        public int PURCHASE_NO { get; set; }

        // 仕入日
        [Required]
        [Column("PURCHASE_DATE")]
        public DateTime PURCHASE_DATE { get; set; }

        // 仕入先コード
        [Required]
        [Column("SUPPLIER_CODE")]
        [StringLength(4)]
        public string SUPPLIER_CODE { get; set; }

        // 商品コード
        [Required]
        [Column("ITEM_CODE")]
        [StringLength(13)]
        public string ITEM_CODE { get; set; }

        // 仕入単価
        [Required]
        [Column("PURCHASE_UNIT_PRICE")]
        public decimal PURCHASE_UNIT_PRICE { get; set; }

        // 仕入数量
        [Required]
        [Column("PURCHASE_QUANTITY")]
        public int PURCHASE_QUANTITY { get; set; }

        // 仕入担当者
        [Required]
        [Column("PURCHASE_PIC")]
        [StringLength(5)]
        public string PURCHASE_PIC { get; set; }

        // 登録者
        [Column("REGIST_PERSON")]
        [StringLength(5)]
        public string REGIST_PERSON { get; set; }

        // 登録日時
        [Column("REGIST_DATETIME")]
        public DateTime? REGIST_DATETIME { get; set; }

        // 更新者
        [Column("EDIT_PERSON")]
        [StringLength(5)]
        public string EDIT_PERSON { get; set; }

        // 更新日時
        [Column("EDIT_DATETIME")]
        public DateTime? EDIT_DATETIME { get; set; }
    }
}