package com.example.entity;

import lombok.Data;
import javax.persistence.*;
import java.util.Date;

/**
 * 商品種別マスタエンティティ
 */
@Entity
@Table(name = "MST_ITEM_CATEGORY")
@Data
public class MstItemCategoryEntity {

    /**
     * 商品種別 (PK)
     */
    @Id
    @Column(name = "ITEM_CATEGORY", nullable = false, length = 3)
    private String itemCategory;

    /**
     * 商品種別名
     */
    @Column(name = "ITEM_CATEGORY_NAME", length = 50)
    private String itemCategoryName;

    /**
     * 登録者
     */
    @Column(name = "REGIST_PERSON", length = 5)
    private String registPerson;

    /**
     * 登録日時
     */
    @Column(name = "REGIST_DATETIME")
    @Temporal(TemporalType.TIMESTAMP)
    private Date registDatetime;

    /**
     * 更新者
     */
    @Column(name = "EDIT_PERSON", length = 5)
    private String editPerson;

    /**
     * 更新日時
     */
    @Column(name = "EDIT_DATETIME")
    @Temporal(TemporalType.TIMESTAMP)
    private Date editDatetime;
}