package com.example.entity;

import lombok.Data;
import javax.persistence.*;
import java.util.Date;

/**
 * 商品マスタエンティティ
 */
@Entity
@Table(name = "MST_ITEM")
@Data
public class MstItemEntity {

    /**
     * 商品コード (PK)
     */
    @Id
    @Column(name = "ITEM_CODE", nullable = false, length = 13)
    private String itemCode;

    /**
     * 商品名
     */
    @Column(name = "ITEM_NAME", length = 100)
    private String itemName;

    /**
     * 商品略称
     */
    @Column(name = "ITEM_SHORT_NAME", length = 50)
    private String itemShortName;

    /**
     * 商品種別
     */
    @ManyToOne
    @JoinColumn(name = "ITEM_CATEGORY", referencedColumnName = "ITEM_CATEGORY")
    private MstItemCategoryEntity itemCategory;

    /**
     * 登録者
     */
    @Column(name = "REGIST_PERSON", length = 5)
    private String registPerson;

    /**
     * 登録日時
     */
    @Column(name = "REGIST_DATETIME")
    @Temporal(TemporalType.TIMESTAMP)
    private Date registDatetime;

    /**
     * 更新者
     */
    @Column(name = "EDIT_PERSON", length = 5)
    private String editPerson;

    /**
     * 更新日時
     */
    @Column(name = "EDIT_DATETIME")
    @Temporal(TemporalType.TIMESTAMP)
    private Date editDatetime;
}