package com.example.form;

import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.*;
import java.util.Date;

/**
 * 仕入情報照会画面の検索フォーム
 */
public class SearchForm {

    /**
     * 仕入先
     */
    private String supplier;

    /**
     * 仕入担当者
     */
    private String purchasePerson;

    /**
     * 仕入開始日
     */
    @DateTimeFormat(pattern = "yyyy/MM/dd")
    private Date purchaseStartDate;

    /**
     * 仕入終了日
     */
    @DateTimeFormat(pattern = "yyyy/MM/dd")
    private Date purchaseEndDate;

    /**
     * 商品種別
     */
    private String itemCategory;

    /**
     * 商品名
     */
    @Size(max = 50)
    private String itemName;

    // Getter and Setter methods

    public String getSupplier() {
        return supplier;
    }

    public void setSupplier(String supplier) {
        this.supplier = supplier;
    }

    public String getPurchasePerson() {
        return purchasePerson;
    }

    public void setPurchasePerson(String purchasePerson) {
        this.purchasePerson = purchasePerson;
    }

    public Date getPurchaseStartDate() {
        return purchaseStartDate;
    }

    public void setPurchaseStartDate(Date purchaseStartDate) {
        this.purchaseStartDate = purchaseStartDate;
    }

    public Date getPurchaseEndDate() {
        return purchaseEndDate;
    }

    public void setPurchaseEndDate(Date purchaseEndDate) {
        this.purchaseEndDate = purchaseEndDate;
    }

    public String getItemCategory() {
        return itemCategory;
    }

    public void setItemCategory(String itemCategory) {
        this.itemCategory = itemCategory;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
}